Skip to main content

Create a delivery box

POST/v2/projects/{projectId}/delivery-boxes
API version
v2
Request method
POST
Operation ID
mail-create-deliverybox

Request​

  • projectIdstring
    required

    ID of the Project to create the DeliveryBox in.

Responses​

Format
application/json
Description

OK

  • idstring (uuid)
    required
Content-Type: application/json

{
"id": "f0f86186-0a5a-45b2-aa33-502777496347"
}
{
"properties": {
"id": {
"format": "uuid",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"description":"string","password":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/projects/string/delivery-boxes
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.mail.createDeliverybox({
"projectId": "string",
"data": {
"description": "string",
"password": "string"
}
});

assertStatus(response, 201);

use \Mittwald\ApiClient\Generated\V2\Clients\Mail\CreateDeliverybox\CreateDeliveryboxRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Mail\CreateDeliverybox\CreateDeliveryboxRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// CreateDeliveryboxRequestBody to learn how to construct a valid instance
$body = new CreateDeliveryboxRequestBody(/* TODO: ... */);

$request = (new CreateDeliveryboxRequest(
projectId: "string",
body: $body
));
$response = $client->mail()->createDeliverybox($request);

var_dump($response->getBody();

On this page